umbrello: CodeGenStatusPage Class Reference

umbrello 2.32.3 Umbrello UML Modeller is a Unified Modelling Language (UML) diagram program based on KDE Technology

Public Member Functions | Protected Slots | Private Attributes | List of all members
CodeGenStatusPage Class Reference

`#include <codegenstatuspage.h>`

Inheritance diagram for CodeGenStatusPage:

## Public Member Functions
| CodeGenStatusPage (QWidget *parent=0)
| ~CodeGenStatusPage ()
void | initializePage ()
bool | isComplete () const

## Protected Slots
void | generateCode ()
void | classGenerated (UMLClassifier *concept, bool generated)
void | classGenerated (UMLClassifier *classifier, CodeGenerator::GenerationState state)
void | populateStatusList ()
void | showFileGenerated (const QString &filename)
void | loggerClear ()
void | loggerExport ()

## Private Attributes
bool | m_generationDone

## Detailed Description

Author
  Luis De la Parra
  Brian Thomas
  Andi Fischer

## Constructor & Destructor Documentation

## ◆ CodeGenStatusPage()

CodeGenStatusPage::CodeGenStatusPage | ( | QWidget * | parent = `0` | ) |
| explicit

Constructor.

Parameters

  parent | the parent (wizard) of this wizard page

## ◆ ~CodeGenStatusPage()

CodeGenStatusPage::~CodeGenStatusPage | ( |  | ) |

Destructor.

## Member Function Documentation

## ◆ classGenerated [1/2]

void CodeGenStatusPage::classGenerated | ( | UMLClassifier * | classifier,
|  | CodeGenerator::GenerationState | state
| ) |  |
| protectedslot

Updates the status of the code generation in the status table.

Parameters

  concept | the class for which the code was generated
  state | the state of the generation

## ◆ classGenerated [2/2]

void CodeGenStatusPage::classGenerated | ( | UMLClassifier * | concept,
|  | bool | generated
| ) |  |
| protectedslot

Updates the status of the code generation in the status table.

Parameters

  concept | the class for which the code was generated
  generated | the status of the generation

## ◆ generateCode

void CodeGenStatusPage::generateCode | ( |  | ) |
| protectedslot

Slot for the generate button. Starts the code generation.

## ◆ initializePage()

void CodeGenStatusPage::initializePage | ( |  | ) |

Reimplemented QWizardPage method to initialize page after clicking next button.

## ◆ isComplete()

bool CodeGenStatusPage::isComplete | ( |  | ) | const

Reimplemented QWizardPage method the enable / disable the next button.

Returns
  complete state

## ◆ loggerClear

void CodeGenStatusPage::loggerClear | ( |  | ) |
| protectedslot

Slot for clicked events generated by the clear button of the logger. Clears the logger widget.

## ◆ loggerExport

void CodeGenStatusPage::loggerExport | ( |  | ) |
| protectedslot

Slot for clicked events generated by the export button of the logger. Writes the content of the logger widget to a file.

## ◆ populateStatusList

void CodeGenStatusPage::populateStatusList | ( |  | ) |
| protectedslot

Fills the status list with the selected classes for generation.

## ◆ showFileGenerated

void CodeGenStatusPage::showFileGenerated | ( | const QString & | filename | ) |
| protectedslot

Writes the content of the just generated file to the logger text widget.

## Member Data Documentation

## ◆ m_generationDone

bool CodeGenStatusPage::m_generationDone
| private

The documentation for this class was generated from the following files:

- umbrello/codegenwizard/codegenstatuspage.h
- umbrello/codegenwizard/codegenstatuspage.cpp